Перейти к содержимому
R-Service R-Service
Руководство разработчика RR Tech Service Management

Calendars - Holidays API

Эта документация пока недоступна на вашем языке, поэтому показана английская версия.

List all holidays of a calendar with a specific ID.

GET /calendars/:id/holidays
Status: 200 OK
[
{
"picture_uri": null,
"name": "2016 Company BBQ",
"created_at": "2016-03-14T03:09:42-06:00",
"sourceID": null,
"updated_at": "2016-03-14T03:09:42-06:00",
"end_at": "2016-06-18T00:00:00",
"start_at": "2016-06-17T16:00:00",
"id": 4,
"source": null
},
{
"picture_uri": null,
"name": "Christmas 2010",
"created_at": "2016-03-14T03:09:42-06:00",
"sourceID": null,
"updated_at": "2016-03-14T03:09:42-06:00",
"end_at": "2010-12-26T00:00:00",
"start_at": "2010-12-25T00:00:00",
"id": 2,
"source": null
},
"..."
]

The response contains these fields by default.

Add a link between a calendar with a specific ID and a holiday with a specific ID.

POST /calendars/:id/holidays/:holiday_id
Status: 200 OK
{}

Remove the link between a calendar with a specific ID and a holiday with a specific ID.

DELETE /calendars/:id/holidays/:holiday_id
Status: 204 No Content

Remove all links between a calendar with a specific ID and its holidays.

DELETE /calendars/:id/holidays
Status: 204 No Content